#!/bin/sh
#
#	@(#)dpkey7.sh 1.00 2001/5/30
#	(c) Copyright OMRON SOFTWARE Co., Ltd. 2001
#
#	modified for Plamo Linux
#

pid=`ps -a | grep dpkeyserv | grep -v grep | sed -e 's/^  *//' -e 's/ .*//'`

case $1 in
'start')
	if [ "${pid}" = "" ]
	then
		if [ -x /usr/sbin/dpkeyserv ]
		then
			/usr/sbin/dpkeyserv > /dev/null
			echo -n ' dpkeyserv'
		else
			echo -n " dpkeyserv non exist"
		fi
	else
		echo -n " dpkeyserv already started"
	fi
	;;
'stop')
	if [ "${pid}" != "" ]
	then
		/bin/kill ${pid}
		echo ' dpkeyserv stopped'
	fi
	;;
*)
	echo "usage: $0 {start|stop}"
	;;
esac
